import { Config, OptionalConfig } from 'tailwindcss/types/config';

type TailwindConfig = {
    content: string[];
} & OptionalConfig;
/**
 * The plugin "merge" function is used to merge the custom configuration with
 * the default and user TailwindCSS configuration.
 * It's to be used in the "tailwind.config.js" configuration file.
 *
 * @example

 * import { twPlugin } from "@versini/ui-styles";
 * export default twPlugin.merge({
 *   content: ["./src/*.{js,ts,jsx,tsx}"],
 * });
 */
declare const twPlugin: {
    merge: (config: TailwindConfig) => Config;
};

export { twPlugin };
